/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreElementtype;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreElementtypeRecord extends UpdatableRecordImpl<TCoreElementtypeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_elementtype.pk_core_elementtype</code>.
     */
    public void setPkCoreElementtype(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementtype.pk_core_elementtype</code>.
     */
    public Integer getPkCoreElementtype() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_elementtype.key_element_type</code>. id
     */
    public void setKeyElementType(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementtype.key_element_type</code>. id
     */
    public Integer getKeyElementType() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_elementtype.name</code>.
     */
    public void setName(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementtype.name</code>.
     */
    public String getName() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_elementtype.description</code>.
     */
    public void setDescription(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementtype.description</code>.
     */
    public String getDescription() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_elementtype.elementtype_lang</code>.
     * foreign key to lang_key
     */
    public void setElementtypeLang(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementtype.elementtype_lang</code>.
     * foreign key to lang_key
     */
    public String getElementtypeLang() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_core_elementtype.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementtype.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreElementtypeRecord
     */
    public TCoreElementtypeRecord() {
        super(TCoreElementtype.T_CORE_ELEMENTTYPE);
    }

    /**
     * Create a detached, initialised TCoreElementtypeRecord
     */
    public TCoreElementtypeRecord(Integer pkCoreElementtype, Integer keyElementType, String name, String description, String elementtypeLang, LocalDateTime lastchange) {
        super(TCoreElementtype.T_CORE_ELEMENTTYPE);

        setPkCoreElementtype(pkCoreElementtype);
        setKeyElementType(keyElementType);
        setName(name);
        setDescription(description);
        setElementtypeLang(elementtypeLang);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
